html {overflow-y: scroll;}

* {box-sizing: border-box;}

.page {
  max-width: 1000px;
  margin: 0 auto;
  background-color: #505050;
}

body {
  margin: 18px;
  background: #505050;
  color: white;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
}

.navbar {
  background-color: #505050;
  border: none;
  border-radius: 0px;
  padding: 0px;
}

.navbutton {
  width: 100%;
  cursor: pointer;
  border: 1px solid #494949;
  border-radius: 5px;
  color: #929292;
  background-color: #494949;
  height: 100%;
  padding: 2px;
  font-size: 16px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.navbutton.selected {
  color: white;
}

.navbar .navbutton:hover {
  background-color: #202020;
  color: #a0a0a0;
}

.navbar .navbutton.selected:hover {
  background-color: #202020;
  color: white;
}

li {
  flex: 1;
  margin: 0px 3px;
}

ul {
  padding: 0px;
  margin: 0px;
}

h1 {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.formselectspeed {
  padding: 8px 10px;
  border: none;
  background-color: #494949;
  color: white;
  font-size: 16px;
}

form {
  width: 100%;
  background: #505050;
  text-align: center;
  border-radius: 5px;
  padding: 0px;
  border: none;
  margin-bottom: 20px;
  flex-wrap: wrap;
  gap: 10px;
}

.field {
  margin-bottom: 10px;
  display: block;
}

.field label {
  display: block;
  font-size: 16px;
  margin-bottom: 5px;
}

form input,
form select,
form button,
.speedinput,
.speedbutton,
.speedselect,
.separationselect {
  padding: 8px 10px;
  border: none;
  background-color: #494949;
  color: white;
  font-size: 16px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.speedinput,
.speedselect {
  max-width: 100px;
}

form button,
.speedbutton {
  cursor: pointer;
  border: none;
  background-color: #292929;
  color: #949494;
}

.speedbutton {
  margin-right: 5px;
}

form button:hover,
.speedbutton:hover {
  background-color: #696969;
  color: #949494;
}

input.uppercase {
  text-transform: uppercase;
}

.EOBTin {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

table {
  width: 100%;
  border-collapse: collapse;
  background: #505050;
  border-radius: 5px;
  border: 2px solid #707070;
  overflow: hidden;
}

thead {
  background-color: #707070;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

tbody {
  background-color: #505050;
}

tbody tr {
  display: table-row;
  width: 100%;
}

th, td {
  padding: 8px;
  text-align: center;
  border-bottom: 1px solid #707070;
}

th {
  background-color: #707070;
}

td contenteditable, td select, td input {
  width: 100%;
  padding: 4px 6px;
  border: none;
  background: #494949;
  color: white;
  font-size: 14px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

button.removeBtn {
  font-size: 14px;
  color: #949494;
  background-color: #292929;
  border: none;
  padding: 3px 5px;
  cursor: pointer;
}

button.removeBtn:hover {
  background-color: #696969;
  color: #949494;
}

#resultqnh {font-weight: bold;}

#resultqnh, #resultrwy {
  font-size: 30px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  text-align: center;
  margin-top: 25px;
}

#resultseparation {
  font-size: 36px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  text-align: center;
  margin-top: 25px;
}

.collapsible-content {
  overflow: hidden;
  transition: max-height 0.25s ease;
}

.collapsible-content.hidden {
  max-height: 0;
  padding: 0;
  margin: 0;
  display: none;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  gap: 12px;
  text-align: center;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.unit-col {
  border-radius: 8px;
  padding: 10px;
}

.unit-col h3 {
  margin: 0;
  font-size: 20px;
}

.unit-col input {
  width: 100%;
  padding: 6px;
  margin: 6px 0;
  border-radius: 0px;
  border: none;
  background: #494949;
  color: white;
  text-align: center;
  font-size: 20px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.sectionunits, .sectionspeed, .sectionseparation {
  background: #505050;
  border: 2px solid #707070;
  padding: 14px;
  border-radius: 0px;
  margin: 18px 0;
}

.sectionunits-title, .sectionspeed-title, .sectionseparation-title {
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: 24px;
  color: white;
  cursor: pointer;
}

.sectionunits-title span.arrow, .sectionspeed-titel span.arrow {
  display: inline-block;
  transition: transform 0.2s ease;
}

.resultunits, .resultspeed {
  font-size: 24px;
  margin: 8px 0;
  color: white;
  min-height: 30px;
}

.separation-forms {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: start;
}

.info-box {
  background: #99ccff;
  color: black;
  padding: 10px;
  border-radius: 6px;
  margin-top: 10px;
  gap: 8px;
  align-items: center;
}

.warning-box1 {
  background: yellow;
  color: black;
  padding: 10px;
  border-radius: 6px;
  margin-top: 10px;
  gap: 8px;
  align-items: center;
}

.warning-box2 {
  background: red;
  color: white;
  padding: 10px;
  border-radius: 6px;
  margin-top: 10px;
  gap: 8px;
  align-items: center;
}

.indextitle {
  font-size: 24px;
}

.indextext {
  font-size: 18px;
}

a {
  color: white;
}

.calc-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 14px;
}

.calculator {
  border-radius: 8px;
  padding: 14px;
  border: none;
  min-height: 120px;
}

.graphic {
  margin-top: 12px;
  padding: 10px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.air-icons {
  text-align: center;
  color: white;
  font-size: 20px;
  margin: 8px 0;
}

.sep-line {
  width: 50%;
  height: 3px;
  background: red;
  margin: 30px auto;
  position: relative;
  border-radius: 2px;
}

.sep-line.lower {
  background: yellow;
}

.sep-label1 {
  position: absolute;
  left: -15px;
  width: 90px;
  text-align: right;
  color: red;
  font-weight: 700;
  top: -20px;
}

.sep-label2 {
  position: absolute;
  left: -15px;
  width: 90px;
  text-align: right;
  color: yellow;
  font-weight: 700;
  top: -20px;
}

.sep-value {
  position: absolute;
  right: 0px;
  left: 200px;
  top: -22px;
  padding: 4px 6px;
  border-radius: 4px;
  color: #071428;
  font-size: 14px;
  font-weight: 700;
}

.sep-value.blue {
  color: white;
  background: red;
  font-size: 14px;
}

.sep-value.orange {
  background: yellow;
  color: black;
  font-size: 14px;
}
